# Interface ICefCookieVisitor

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefCookieVisitor = interface(ICefBaseRefCounted)`

## Description

Interface to implement for visiting cookie values. The functions of this interface will always be called on the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_cookie_visitor_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefCookieVisitor

## Overview

### Methods

| `function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean;`

## Description

### Methods

| `function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean;`
Method that will be called once for each cookie. |count| is the 0-based index for the current cookie. |total| is the total number of cookies. Set |deleteCookie| to true (1) to delete the cookie currently being visited. Return false (0) to stop visiting cookies. This function may never be called if no cookies are found. ###### Attributes GUID['{8378CF1B-84AB-4FDB-9B86-34DDABCCC402}']

Generated by PasDoc 0.16.0-snapshot.